@import url(https://fonts.googleapis.com/css?family=Noto+Sans+TC:300,400,500,700) (min-width: 641px);

body {
  font-family: "Noto Sans TC", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 1.8em;
  margin-top: 10px;
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/line10.png');
  background-repeat: repeat-x;
}

@media screen and (max-width:640px) {
  body {
    font-family: 'source-han-sans-traditional', Helvetica, Arial, sans-serif;
  }
}

.h1,
.h2,
.h3,
h1,
h2,
h3 {
  margin-top: 30px;
  margin-bottom: 30px;
}

.h4,
.h5,
.h6,
h4,
h5,
h6 {
  margin-top: 20px;
  margin-bottom: 20px;
}

#xoops-zone h1,
#xoops-zone h2,
#xoops-zone h3,
#xoops-zone h4,
#xoops-zone h5,
#xoops-zone h6 {
  margin-top: 0;
  margin-bottom: 0;
}

/*body {
    font-size: 15px;
    background-image: url(https://www.osa.nchu.edu.tw/osa/isrc/images/ps_neutral.png);
    background-repeat: repeat;
    background-position: top left;
    background-attachment: scroll;
}*/

#header-wrap {
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/pixel_weave.png');
  background-repeat: repeat;
  background-attachment: scroll;
  background-position: top left;
}

#header {
  margin: 15px 0;
}

.isrc-logo {
  max-width: 380px;
  height: auto;
  padding: 0;
}


/*===top-navbar===*/
#top-links .list-inline {
  margin-bottom: 0;
}

#top-links .list-inline>li {
  font-size: 13px;
  margin: 2px 0;
  padding: 0 1px;
}

#top-links .list-inline>li a {
  display: inline-block;
  padding: 5px;
  color: #777;
  line-height: 1;
}

#top-links .list-inline>li::before {
  font-size: 12px;
  margin-right: 2px;
  content: '|';
  color: #999;
}

#top-links .list-inline>li:nth-child(1):before {
  display: none;
}

#top-links .list-inline>li>a:focus,
#top-links .list-inline>li>a:hover {
  text-decoration: none;
  color: #fff;
  border-radius: 4px;
  background-color: #c9171d;
}

#navbar-wrap {
  background-color: #c9171d;
}

#vline {
  height: 10px;
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/line10.png');
  background-repeat: repeat-x;
}


/*===Search===*/

#search-wrap {
  margin-bottom: 5px;
}

#custom-search-input {
  width: 250px;
  padding: 3px;
  border: solid 1px #e4e4e4;
  border-radius: 6px;
  background-color: #fff;
}

#custom-search-input input {
  border: 0 !important;
  box-shadow: none;
}

#custom-search-input button {
  margin: 2px 0 0 0;
  padding: 0 8px 0 10px;
  color: #666;
  border: 0;
  border-left: solid 1px #ccc;
  background: none;
  box-shadow: none;
}

#custom-search-input button:hover {
  border: 0;
  border-left: solid 1px #ccc;
  box-shadow: none;
}

#custom-search-input .fa-search {
  font-size: 15px;
}

.gsc-result .gs-title {
  height: 1.5em !important;
}


/*===Slider===*/

#slider-wrap {
  margin-bottom: 20px;
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/dark_geometric.png');
  background-repeat: repeat;
  background-attachment: scroll;
  background-position: top left;
  overflow: hidden;
}

#main-slider {
  overflow: hidden;
}

@media screen and (max-width:640px) {

  .row-no-padding,
  .row-no-padding div,
  .row-no-padding div button {
    padding: 0 !important;
  }
}


/*===Content===*/

#content-wrap {
  min-height: 600px;
  margin-bottom: 40px;
  /*height: 600px;
                demo setting*/
}

#content-wrap a {
/*  color: #333;*/
}

#content-wrap a:hover {
/*  text-decoration: underline;*/
}

#content-wrap h3 {
  padding: 7px 0 7px 50px;
  margin-bottom: 20px;
  background: url('https://www.osa.nchu.edu.tw/osa/isrc/images/hashtag.png') no-repeat 0 0;
}


#content-wrap .col-md-4 h3 {
  padding: 7px 0 7px 40px;
  margin-bottom: 20px;
  background: url('https://www.osa.nchu.edu.tw/osa/isrc/images/arrow2.png') no-repeat 0 0;
}

#content-wrap .news-area-content h3 {
  padding: 0;
  color: #891014;
  background: none;
}

/*#content-wrap h4:not(.panel-title) {
  padding: 10px 30px 10px 40px;
  border: 1px solid #ddd;
  background: url('https://www.osa.nchu.edu.tw/osa/isrc/images/arrow3.png') no-repeat 10px 10px;
}*/

#content-wrap h4.no-border {
  padding: 10px 30px 10px 30px;
  border: none;
  background: url('https://www.osa.nchu.edu.tw/osa/isrc/images/arrow3.png') no-repeat 0 15px;
}

#content-wrap article {
  margin-bottom: 60px;
}

#content-wrap p {
  margin-bottom: 20px;
  padding: 0 20px;
}

#content-wrap .news-area-content p {
  margin: 0 0 10px;
  padding: 0;
}

#content-wrap .news-area-content img {
  max-width: 100%;
  height: auto !important;
}

.news-area-content .news-head-info {
  font-size: 12px;
  padding-left: 5px;
  color: #666;
}

.news-t small {
  color: #777;
}

.nh-postday,
.nh-uname,
.nh-counter {
  margin-right: 15px;
}

.m-pagination-page>li.active>a {
  color: #fff !important;
  border-color: #c9171d;
  background-color: #c9171d;
}

.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover {
  color: #fff !important;
  border-color: #c9171d;
  background-color: #c9171d;
}

.pagination a {
  text-decoration: none !important;
}

.page-item.active .page-link {
  z-index: 3;
  color: #fff;
  background-color: #c9171d;
  border-color: #c9171d;
}

.table-red>thead>tr>th {
  font-weight: normal;
  padding-top: 15px;
  background-color: rgba(201, 23, 29, .3);
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/line5.png');
  background-repeat: repeat-x;
}

#c-top-wrap {
  position: relative;
  margin-bottom: 20px;
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/dark_geometric.png');
  background-repeat: repeat;
  background-attachment: scroll;
  background-position: top left;
}

.c-top-head {
  /*height: 120px;*/
}

.c-top-head::before {
  /*display: inline-block;
  height: 100%;
  content: '';
  vertical-align: middle;*/
}

.c-top-head h1 {
  /*display: inline-block;
  vertical-align: middle;*/
  color: #fff;
  margin: 35px 0;
}

#bread-crumb .breadcrumb {
  margin-bottom: 0;
}

.w300 {
  max-width: 300px;
}

#map_canvas {
  width: 100%;
  height: 550px;
}

.list-01 {
  list-style: none;
  padding-left: 0;
}

.list-01 li {
  padding: 5px 0;
}

.list-01 li a,
.list-02 li a {
  color: #333;
}

.list-01 .fa {
  color: #c9171d;
}

.info-title a,
.nav-item a {
  color: #333;
}

.staff .title {
  margin-bottom: 20px;
  font-size: 20px;
  font-weight: bold;
}

.staff .description {
  margin-top: 20px;
}

.staff .member {
  margin-bottom: 40px;
}

/*===Result===*/
.result-block {
  margin-bottom: 40px;
}

.result-block a:link, .result-block a:hover {
  text-decoration: none !important;
}

.result-title {
  color: #891014;
  font-size: 20px;
  font-weight: 500;
  margin: 10px 0;
}

.result-summary {
  color: #777;
  font-size: 15px;
  line-height: 1.5;
}

.result-photo {
  overflow: hidden;
}

.result-photo span {
  display: block;
  width: 100%;
  height: 0;
  padding-bottom: 60%;
  background-repeat: no-repeat;
  background-position: 50%;
  background-size: cover;
  transition: transform .3s;
}

.result-photo span:hover {
  transform: scale(1.1);
}

.news-files-area {
  margin-top: 40px;
}

.news-files-area ul {
  padding-left: 0;
}

.news-files-area .img-thumbnail {
  padding: 0;
  border: none;
  border-radius: none;
}

.photo-wrap,
.video-wrap {
  margin-bottom: 20px;
}

.photo-wrap .caption,
.video-wrap .caption {
  padding: 5px;
}

.photo-wrap a,
.video-wrap a {
  color: #333;
}

table .label {
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  display: inline-block;
  padding: .3em .4em;
  text-align: center;
  vertical-align: baseline;
  white-space: nowrap;
  border-radius: .25rem;
}

/*===Panel===*/

.panel-red {
  border: 0 solid transparent;
  box-shadow: none;
}

.panel-red .panel-heading {
  padding-top: 15px;
  color: #fff;
  border: 1px solid #c9171d;
  background-color: #c9171d;
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/line5.png');
  background-repeat: repeat-x;
}

.panel-red .panel-body {
  border: 1px solid #ddd;
}

.panel-red .list-group {
  border: 1px solid #ddd;
}

.panel-red .list-group .fa {
  color: #c9171d;
}


/*===Back Top===*/

/*@media screen and (max-width:641px) {
  #back-top {
    display: none !important;
  }
}

@media screen and (min-width:640px) {
  #back-top {
    position: fixed;
    z-index: 9999;
    right: 30px;
    bottom: 50px;
    display: none;
  }

  #back-top .btn {
    font-size: 1.4em;
    padding: 10px 15px;
    border-color: #c9171d;
    border-radius: 50%;
    background-color: #c9171d;
  }
}*/

#scroll-top.show {
  right: 30px;
  opacity: 1;
  visibility: visible;
}

#scroll-top {
  position: fixed;
  display: block;
  width: 50px;
  height: 50px;
  line-height: 50px;
  border-radius: 4px;
  text-align: center;
  z-index: 1;
  right: 30px;
  bottom: 50px;
  border-radius: 50%;
  opacity: 0;
  visibility: hidden;
  cursor: pointer;
  overflow: hidden;
}

#scroll-top::before, #scroll-top::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#scroll-top::after {
  content: "\f077";
  font-family: "FontAwesome";
  font-size: 18px;
  color: #ffffff;
  font-weight: 600;
}

#scroll-top::before {
  z-index: -1;
  background-color: #c9171d;
}

#scroll-top::after {
  color: #fff;
}

/*===Privacy===*/

#privacyModal .modal-body {
  overflow: auto;
  height: 400px;
}

.privacy_content h2 {
  font-size: 18px;
  padding: 10px 30px 10px 40px;
  border: 1px solid #ddd;
  background: url('https://www.osa.nchu.edu.tw/osa/isrc/images/arrow3.png') no-repeat 10px 10px;
}

.privacy_content p {
  padding: 0 20px;
}

#privacyModal .modal-header {
  padding-top: 15px;
  color: #fff;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  background-color: #c9171d;
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/line5.png');
  background-repeat: repeat-x;
}


/*===footer===*/

#footer-wrap {
  background-image: url('https://www.osa.nchu.edu.tw/osa/isrc/images/dark_geometric.png');
  background-repeat: repeat;
  background-attachment: scroll;
  background-position: top left;
}

#footer-wrap .container {
  font-size: 14px;
  line-height: 1.4em;
  padding-top: 20px;
  padding-bottom: 20px;
  color: #fff;
}

#footer-wrap a {
  color: #fff;
}

#footer-wrap a:hover {
  text-decoration: underline;
}

#footer-logo {
  display: table-cell;
  height: 120px;
  vertical-align: bottom;
}

#footer-logo img {
  width: 80px;
  vertical-align: bottom;
}

#ocean {

  /*position:absolute;*/
  width: 100%;
  min-height: 100%;
  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0, rgb(0, 0, 0)), color-stop(.50, rgb(0, 0, 0)));
}

.wave {
  position: absolute;
  display: inline-block;
  width: 10px;
  height: 60%;
  -webkit-transition-timing-function: ease-in-out;
  -webkit-animation-name: dostuff;
  -webkit-animation-duration: 3s;
  -webkit-animation-iteration-count: infinite;
  background: rgba(0, 0, 0, .2);
}

@-webkit-keyframes dostuff {
  0% {
    height: 60%;
  }

  50% {
    height: 40%;
  }

  100% {
    height: 60%;
  }
}

/* Flexbox Equal Height Bootstrap Columns (fully responsive) */
@media only screen and (min-width : 481px) {
  .flex-row.row {
    display: flex;
    flex-wrap: wrap;
  }

  .flex-row.row>[class*='col-'] {
    display: flex;
    flex-direction: column;
  }

  .flex-row.row:after,
  .flex-row.row:before {
    display: flex;
  }

  .flex-row.row>[class*='col-']>.box {
    display: flex;
    flex: 1;
  }
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #bd2130;
}

/* for XOOPS */
#content-wrap .nav-pills .nav-link.active {
  color: #fff;
}

.m-pagination-page > li.active > a {
  color: #fff;
  background-color: #bd2130 !important;
  border-color: #bd2130 !important;
}

.btn-group-xs>.btn,
.btn-xs {
  font-size: 0.75rem;
  line-height: 1.5;
  padding: 1px 5px;
  border-radius: 3px;
}

.btn-default {
  color: #212529;
  border-color: #f8f9fa;
  background-color: #f8f9fa;
}